vector-builder-0.3.1: Vector builder

Safe Haskell | None
Language | Haskell2010

VectorBuilder.Vector

Description

Extensions to the standard immutable Vector API.

Synopsis

- build :: Vector vector element => Builder element -> vector element

# Documentation

build :: Vector vector element => Builder element -> vector element #

Construct an immutable vector from a builder.

Supports all kinds of vectors: boxed, unboxed, primitive, storable.